;
;   Standard VORTAC Antenna Array  Macro
;
;   Macro( sttower.scm  Lat  Lon  )
;                        1    2
;
Area( 5 %1  %2 19 )
    PerspectiveCall( :T1 )
    Jump( : )

:T1
    Perspective
    RefPoint( 7  :B3 0.3048  %1  %2 )
    RotatedCall( :T11 0 0 30 )
    RotatedCall( :T11 0 0 60 )
    RotatedCall( :T11 0 0 90 )
    RotatedCall( :T11 0 0 120 )
    RotatedCall( :T11 0 0 150 )
    RotatedCall( :T11 0 0 180 )
    RotatedCall( :T11 0 0 210 )
    RotatedCall( :T11 0 0 240 )
    RotatedCall( :T11 0 0 270 )
    RotatedCall( :T11 0 0 300 )
    RotatedCall( :T11 0 0 330 )
    RotatedCall( :T11 0 0 360 )
    Return

:T11
    ShadowCall( :T2 )
:T2
    Points( 0
    0 100 0     -1   98   4   1   98   4
                -2   94   6   2   94   6
                -2   62   6   2   62   6
                -5   30  17   5   30  17
                -6   10  20   6   10  20
               -19    6  56  19    6  56
               -19    0  56  19    0  56
    )
    IfVarRange( :far 37E -3000 3000 )
    IfVarRange( :far 386 -3000 3000 )
    Call( :main )
    Return

:far
    Call( :beacon )
    Return

:main
    SurfaceColor( 4 F0 )
    Poly( a 0 1 2 )
    Poly( a 1 3 4 2 )
    Poly( a 3 5 6 4 )
    Poly( a 5 7 8 6 )
    Poly( a 7 9 10 8 )
    Poly( a 9 11 12 10 )
    Poly( a 11 13 14 12 )
    LineColor( 3 F0 )
    MoveTo( 19 6 56 )
    DrawTo( 19 26 56 )
    Return

:beacon
    IfVarAnd( :B1 282 3 )
    LineColor( 0F F0 )
    Jump( :B2 )

:B1
    IfVarAnd( :B3 282 300 )
    LineColor( 15 F0 )
:B2
    Dot( 0 100 0 )
:B3
    Return

EndA
